LOCAL loArrayHandler, lcMessageText, lnFoundRow

*-- Create ArrayHandler object
loArrayHandler = NEWOBJECT("_arraylib",HOME()+"ffc\_utility")

*-- Create a Multi dimension array with 5 rows
*-- We will be searching for the value "A" in the
*-- *second* column
DIMENSION laMultiDimension[5,2]
laMultiDimension[1,1] = "A" && This is not the one that we are looking for because its in the 1st column
laMultiDimension[1,2] = "1"
laMultiDimension[2,1] = "B"
laMultiDimension[2,2] = "2"
laMultiDimension[3,1] = "C"
laMultiDimension[3,2] = "3"
laMultiDimension[4,1] = "D"
laMultiDimension[4,2] = "A" && This is the one we are aiming to find
laMultiDimension[5,1] = "E"
laMultiDimension[5,2] = "4"

ShowArrayContents([Contents before searching for "A" in 2nd column:])

*-- Use the ArrayHandler to search for the value "A" 
*-- in the second column of the array, and return the
*-- row of the array (rather than the element number)
*-- of the row containing "A" in the 2nd column
*-- Important! Notice that the array is passed by
*-- reference, using  "@" 
lnFoundRow = loArrayHandler.AColScan(@laMultiDimension,"A",2,.T.)

MessageBox(["A" was found in row ]+ALLTRIM(STR(lnFoundRow)))

PROC ShowArrayContents(tcHeader)
	*-- Popup a messagebox showing the items in the
	*-- array

	lcMessageText = tcHeader+CHR(13)+CHR(13)
	FOR lnRow = 1 TO ALEN(laMultiDimension,1)
		lcMessageText = lcMessageText + laMultiDimension[lnRow,1]+"-"+laMultiDimension[lnRow,2]+CHR(13)
	ENDFOR	
	MESSAGEBOX(lcMessageText)
ENDPROC